Bug 194058 - dynamic zones
dynamic zones
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2006-06-05 10:25 EDT by Avi Kivity
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 09:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2006-06-05 10:25:26 EDT
Description of problem:

system-config-bind modifies zones by rewriting their zone files.  Bind, 
however, manages dynamic zone files by itself.  Bind refuses to load if a zone 
file was changed while it was down, and writing zone files managed by bind 
while it is up will likely cause immediate corruption.

Version-Release number of selected component (if applicable):

How reproducible:
(haven't tested since I'd like to keep my server working, but numerous 
attempts to edit zone files for dynamic zones have taught me to use nsupdate)

Steps to Reproduce:
1. Edit a dynamic zone (in /var/named/data)
2. Restart bind
3. bind won't load the changed zone.
Actual results:
No zone.

Expected results:

Additional info:
Using dynamic updates for *all* zones seems a much better solution anyway: 
multiple admins can change entries in the same dynamic zone without 
corruption.  Editing text files may be fun for people, but machines aren't so 
good at it.
Comment 1 Jason Vas Dias 2006-06-05 13:15:50 EDT
Yes, s-c-bind should handle dynamic zones more gracefully - at least by doing
an 'rndc freeze -> ( modify zone file ) -> rndc unfreeze' , if not actually 
providing an interface to nsupdate. In the long term, a GUI interface to 
nsupdate allowing management of remote zones would be a desirable and is
planned. I'll implement the freeze/unfreeze for dynamic zones with the
next release. Meanwhile, a simple workaround is to select 'Server -> Stop',
then edit the dynamic zones, and do 'Server -> Start'. In my experience,
most BIND users do not use dynamic zones at all, so forcing all zones 
managed by s-c-bind to be dynamic is not an option.
Comment 2 Jason Vas Dias 2006-06-07 15:44:26 EDT
Now fixed with system-config-bind-4.0.0-41.fc5, to be released to FC-5
Updates/testing today.
Comment 3 Fedora Update System 2006-06-07 19:41:12 EDT
system-config-bind-4.0.0-41.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Avi Kivity 2006-10-31 09:17:13 EST
I tested it and it's working, but I still think an nsupdate style solution 
would be much better.

Note You need to log in before you can comment on or make changes to this bug.